/**
 * XDocumentEntrySubject2.java
 *
 * File generated from the medication2::XDocumentEntrySubject2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XDocumentEntrySubject2.
 *
 * 
 */

@XmlType(name = "XDocumentEntrySubject")
@XmlEnum
@XmlRootElement(name = "XDocumentEntrySubject2")
public enum XDocumentEntrySubject2 {
	@XmlEnumValue("SPEC")
	SPEC("SPEC"),
	@XmlEnumValue("PAT")
	PAT("PAT"),
	@XmlEnumValue("PRS")
	PRS("PRS");
	
	private final String value;

    XDocumentEntrySubject2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XDocumentEntrySubject2 fromValue(String v) {
        for (XDocumentEntrySubject2 c: XDocumentEntrySubject2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
